## dcl 5.0.1-3

=== debian/changelog ===
dcl (5.0.1-3) unstable; urgency=low

  * Merge HTML documents
  * debianization: support for environment without DCLDIR and PATH=.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 20 Jan 1999 18:01:46 +0900

dcl (5.0.1-2) unstable; urgency=low

  * Install directories are chaged to /usr/bin, /usr/lib.  
  * Install texsty 

 -- Takehiro Shin-ichi <takepiro@gfd-dennou.org>  Fri,  6 Nov 1998 14:39:32 +0900

dcl (5.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Takehiro Shin-ichi <takepiro@gfd-dennou.org>  Thu, 29 Oct 1998 14:42:44 +0900

Local variables:
mode: debian-changelog
add-log-mailing-address: "takepiro@gfd-dennou.org"
End:
