## dcl 5.0.1-4

=== etc/Makefile ===
#
#       Makefile for etc
#

include ../Mkinclude
 

clean: clean.local

clean.all: clean.local

clean.local:
	$(RM) *~
