=== dvlop/bswlib/Makefile ===
#
#       Makefile for bswlib
#

include ../../Mkinclude

LIBNAME		= bswlib
LIBFSRCS	= bswp2.f bswp2a.f bswp4.f bswp4a.f
LIBCSRCS	= 
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= bswp2.o bswp2a.o bswp4.o bswp4a.o
LIBCOBJS	= 
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


all: $(LIBOBJS)

install: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(DCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(DCLLIBFILE)

pack: $(LIBNAME).all

$(LIBNAME).all: $(LIBSRCS) LIBLIST HEADER
	@$(LBINDIR)/libpack $(LIBNAME).all

clean:
	$(RM) *.o *~ $(LIBNAME).all
