=== dcl-5.0-html/etc/gaiyou/Makefile ===
#
#       Makefile for etc/gaiyou
#

include ../../../Mkinclude

LIBNAME		= gaiyou
L2HFLAGS	= refdir=.. curdir=gaiyou backto=../etc.html \
		  auxin=../etc.haux
TEXDOC		= gaiyou.tex 
HTML		= gaiyou.html 

html: $(HTML)
