=== dcl-5.0-html/gokuraku/jump/Makefile ===
#
#       Makefile for gokuraku/jump
#

include ../../../Mkinclude

LIBOBJS		= jump1     jump2
EPSFILES	= jump1.eps jump2.eps

GIFFILES	= jump1.gif jump2.gif

LIBNAME		= jump
L2HFLAGS	= refdir=.. curdir=jump backto=../gokuraku.html \
		  auxin=../gokuraku.haux
TEXDOC		= jump.tex 
HTML		= jump.html 


all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

jump1.eps:
	echo 2 | jump1 -sw:fname=jump1
	$(LBINDIR)/sgksrot jump1.ps > jump1.eps
	$(RM) jump1.ps

jump2.eps:
	echo 2 | jump2 -sw:fname=jump2
	$(LBINDIR)/sgksrot jump2.ps > jump2.eps
	$(RM) jump2.ps

html: $(HTML) $(GIFFILES) rmobj

clean.html: 
	$(RM) $(HTML) $(GIFFILES)

jump1.gif: jump1.f
	$(MAKE) jump1
	echo 1 | ./jump1 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

jump2.gif: jump2.f
	$(MAKE) jump2
	echo 1 | ./jump2 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd
