=== dcl-5.0-html/gokuraku/layout/Makefile ===
#
#       Makefile for gokuraku/layout
#

include ../../../Mkinclude

LIBOBJS		= lay1 lay2 
EPSFILES	= lay1_001.eps lay1_002.eps lay2.eps

GIFFILES	= lay1_001.gif lay1_002.gif lay2.gif

LIBNAME		= layout
L2HFLAGS	= refdir=.. curdir=layout backto=../gokuraku.html \
		  auxin=../gokuraku.haux
TEXDOC		= layout.tex 
HTML		= layout.html 

all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

lay1_001.eps:
	echo 2 | lay1 -sw:fname=lay1 -sw:lsep=.true.
	$(LBINDIR)/sgksrot lay1_001.ps > lay1_001.eps
	$(RM) lay1_001.ps

lay1_002.eps: lay1_001.eps
	$(LBINDIR)/sgksrot lay1_002.ps > lay1_002.eps
	$(RM) lay1_002.ps

lay2.eps:
	echo 2 | lay2 -sw:fname=lay2
	$(LBINDIR)/sgksrot lay2.ps > lay2.eps
	$(RM) lay2.ps

html: $(HTML) $(GIFFILES) rmobj

clean.html: 
	$(RM) $(HTML) $(GIFFILES)

lay1_001.gif: lay1.f
	$(MAKE) lay1
	echo 1 | ./lay1 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd

lay1_002.gif: lay1_001.gif
	$(XWD2PPM) dcl_002.xwd | $(PPM2GIF) >$@
	$(RM) dcl_002.xwd

lay2.gif: lay2.f
	$(MAKE) lay2
	echo 1 | ./lay2 -sg:lcorner=.false. \
	-sw:iwidth=$(GIFWIDTH) -sw:iheight=$(GIFHEIGHT) \
	-sw:iposx=$(GIFPOSX) -sw:iposy=$(GIFPOSY) \
        -sw:ldump=.true. -sw:lwait=.false. -sw:lwait1=.false. 
	$(XWD2PPM) dcl_001.xwd | $(PPM2GIF) >$@
	$(RM) dcl_001.xwd
