=== dcl-5.0-html/grph1/sgpack/Makefile ===
#
#       Makefile for grph1/sgpack
#

include ../../../Mkinclude

LIBNAME		= sgpack
L2HFLAGS	= refdir=.. curdir=sgpack backto=../grph1.html \
		  auxin=../grph1.haux
TEXDOC		= arrow.tex cntl.tex csgi.tex intro.tex line.tex \
		  list.tex ntrf.tex pline.tex pmark.tex ptrf.tex \
		  text.tex tone.tex 
HTML		= arrow.html cntl.html csgi.html intro.html line.html \
		  list.html ntrf.html pline.html pmark.html ptrf.html \
		  text.html tone.html 

html: $(HTML)
