=== dcl-5.0-html/grph1/slpack/Makefile ===
#
#       Makefile for grph1/slpack
#

include ../../../Mkinclude

LIBNAME		= slpack
L2HFLAGS	= refdir=.. curdir=slpack backto=../grph1.html \
		  auxin=../grph1.haux
TEXDOC		= slintro.tex slmain.tex 
HTML		= slintro.html slmain.html 

html: $(HTML)
