=== dcl-5.0-html/grph1/stpack/Makefile ===
#
#       Makefile for grph1/stpack
#

include ../../../Mkinclude

LIBNAME		= stpack
L2HFLAGS	= refdir=.. curdir=stpack backto=../grph1.html \
		  auxin=../grph1.haux
TEXDOC		= intro.tex stpack.tex 
HTML		= intro.html stpack.html 

html: $(HTML)
