=== dcl-5.0-html/math1/rfblib/Makefile ===
#
#       Makefile for math1/rfblib
#

include ../../../Mkinclude

LIBNAME		= rfblib
L2HFLAGS	= refdir=.. curdir=rfblib backto=../math1.html \
		  auxin=../math1.haux
TEXDOC		= rfblib.tex 
HTML		= rfblib.html 

html: $(HTML)
