=== dcl-5.0-html/math1/vialib/Makefile ===
#
#       Makefile for math1/vialib
#

include ../../../Mkinclude

LIBNAME		= vialib
L2HFLAGS	= refdir=.. curdir=vialib backto=../math1.html \
		  auxin=../math1.haux
TEXDOC		= vialib.tex 
HTML		= vialib.html 

html: $(HTML)
