=== debian/changelog ===
dcl (5.0.1-4) unstable; urgency=low

  * Dstyle.sty 'chapter' bug with platex fixed.

 -- TOYODA Eizi <toyoda@gfd-dennou.org>  Wed, 24 Feb 1999 18:23:52 +0900
