=== debian/control ===
Source: dcl
Section: x11
Priority: optional
Maintainer: Takehiro Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 2.4.1

Package: dcl
Architecture: i386
Depends: ${shlibs:Depends}
Description: GFD Dennou Club Library
 Please visit http://www.gfd-dennou.org/ (Japanese)
