=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=dcl

build:
	$(checkdir)
	
	make PATH=${PATH}:. DCLDIR=`pwd`
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean.all
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DCLDIR=`pwd`
	DCLDIR=`pwd`;  cd dvlop/pslib;  make install DCLDIR=$$DCLDIR
	cp -r etc/texsty/*.sty etc/texsty/epsf.tex etc/texsty/ps debian/tmp/usr/lib/texmf/tex/generic/dcl/
	cp CREDITS.tex HISTORY.tex OLD_HISTORY STATUS README.DCL debian/tmp/usr/doc/dcl
	cp BUGS NOTE.4to5 To.Dvlop To.Users INSTALL Mkinclude debian/tmp/usr/doc/dcl
	cp -r dcl-5.0-html debian/tmp/usr/doc/dcl/
	cp -r doc demo debian/tmp/usr/doc/dcl/
	cp -r etc/check/* debian/tmp/usr/doc/dcl/etc/check
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd BUGS README.DCL 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
