=== demo/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack (demo)
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBSRCS		= sgfont.f sgfonz.f sgksx1.f sgksx2.f sgksx3.f sglidx.f \
		  sgltyp.f sgpk01.f sgpk02.f sgpk03.f sgpk04.f sgpk05.f \
		  sgpk06.f sgpk07.f sgpk08.f sgpk09.f sgpk10.f sgtclr.f \
		  sgtone.f sgtonz.f
LIBDEMO		= sgfont   sgfonz   sgksx1   sgksx2   sgksx3   sglidx   \
		  sgltyp   sgpk01   sgpk02   sgpk03   sgpk04   sgpk05   \
		  sgpk06   sgpk07   sgpk08   sgpk09   sgpk10   sgtclr   \
		  sgtone   sgtonz


all: $(LIBDEMO)

pack: $(LIBNAME).all

$(LIBNAME).all: $(LIBSRCS) LIBLIST HEADER
	@$(LBINDIR)/libpack $(LIBNAME).all

clean:
	$(RM) $(LIBDEMO) *.o *~ $(LIBNAME).all *.ps core *.trace
