=== demo/math1/vralib/Makefile ===
#
#       Makefile for vralib (demo)
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBSRCS		= vral01.f vral02.f
LIBDEMO 	= vral01   vral02


all: $(LIBDEMO)

pack: $(LIBNAME).all

$(LIBNAME).all: $(LIBSRCS) LIBLIST HEADER
	@$(LBINDIR)/libpack $(LIBNAME).all

clean:
	$(RM) $(LIBDEMO) *.o *~ $(LIBNAME).all core *.trace
