=== src/env1/bitmap/Makefile ===
#
#       Makefile for bitmap
#

include ../../../Mkinclude


all: bitmap.x11

bitmap.x11: bmcx11 bitm16z.asc
	@echo "Creating bitmap file bitmap.x11"
	@echo "'bitm16z.asc' 'bitmap.x11'" | ./bmcx11

bmcx11: bmcx11.c
	$(CC) $(CFLAGS)  -o bmcx11 bmcx11.c -lm $(LIBF2C)

install: $(DBASEDIR)/bitmap.x11

$(DBASEDIR)/bitmap.x11: bitmap.x11
	@echo "Installing bitmap file bitmap.x11"
	@$(CP) bitmap.x11 $(DBASEDIR)/bitmap.x11

pack: bitmap.all

bitmap.all: bmcx11.c bitm16z.asc
	@$(CAT) bmcx11.c bitm16z.asc > bitmap.all
	@echo "packed file bitmap.all is created."

clean:
	$(RM) *.o *~ bmcx11 bitmap.x11 bitmap.all
