=== src/env1/colormap/Makefile ===
#
#       Makefile for colormap
#

include ../../../Mkinclude


all: colormap.x11

colormap.x11: cmap02
	@echo "Creating colormap file colormap.x11"
	@./cmap02 > colormap.x11

cmap02: cmap02.c
	$(CC) $(CFLAGS)  -o cmap02 cmap02.c -lm $(LIBF2C)

colormap0.x11: cvcmap namedclr
	@echo "Creating colormap file colormap0.x11"
	@$(CAT) namedclr | ./cvcmap | $(CAT) > colormap0.x11

cvcmap: cvcmap.c
	$(CC) $(CFLAGS) -o cvcmap cvcmap.c $(XLIBPATH) $(XLIBOPT)

colormap1.x11: cmap01
	@echo "Creating colormap file colormap1.x11"
	@./cmap01 > colormap1.x11

cmap01: cmap01.c
	$(CC) $(CFLAGS)  -o cmap01 cmap01.c -lm $(LIBF2C)

install: $(DBASEDIR)/colormap.x11

$(DBASEDIR)/colormap.x11: colormap.x11
	@echo "Installing colormap file colormap.x11"
	@$(CP) colormap.x11 $(DBASEDIR)/colormap.x11

pack: colormap.all

colormap.all: cvcmap.c namedclr
	@$(CAT) cvcmap.c namedclr > colormap.all
	@echo "packed file colormap.all is created."

clean:
	$(RM) *.o *~ cmap0? cvcmap core a.out colormap.x11 colormap?.x11 colormap.all
