=== src/env1/fonts/Makefile ===
#
#       Makefile for fonts
#

include ../../../Mkinclude


all: font1u font2u

font1u: cvfont font1n
	@echo "Creating font file font1u"
	@echo "'font1n' 'font1u'" | ./cvfont

font2u: cvfont font2n
	@echo "Creating font file font2u"
	@echo "'font2n' 'font2u'" | ./cvfont

cvfont: cvfont.c
	$(CC) $(CFLAGS)  -o cvfont cvfont.c -lm $(LIBF2C)

install: $(DBASEDIR)/font1u $(DBASEDIR)/font2u

$(DBASEDIR)/font1u: font1u
	@echo "Installing font file font1u"
	@$(CP) font1u $(DBASEDIR)/font1u

$(DBASEDIR)/font2u: font2u
	@echo "Installing font file font2u"
	@$(CP) font2u $(DBASEDIR)/font2u

pack: fonts.all

fonts.all: cvfont.c font1n font2n
	@$(CAT) cvfont.c font1n font2n > fonts.all
	@echo "packed file bitmap.all is created."

clean:
	$(RM) *.o *~ cvfont core font1u font2u fonts.all
