=== src/env1/mapdata/Makefile ===
#
#       Makefile for mapdata
#

include ../../../Mkinclude

MAPDATAF	= coast_world.asc           border_world.asc         \
		  plate_world.asc           state_usa.asc            \
		  coast_japan.asc           pref_japan.asc
MAPDATAB	= coast_world               border_world             \
		  plate_world               state_usa                \
		  coast_japan               pref_japan
MAPDATAI	= $(DBASEDIR)/coast_world   $(DBASEDIR)/border_world \
		  $(DBASEDIR)/plate_world   $(DBASEDIR)/state_usa    \
		  $(DBASEDIR)/coast_japan   $(DBASEDIR)/pref_japan
MAPDATAFR	= coast_world_1.asc
MAPDATABR	= coast_world_1
MAPDATAIR	= $(DBASEDIR)/coast_world_1

CVMAPD		= ./cvmapd
RMAPD1		= ./rmapd1


all: $(MAPDATAB) $(MAPDATABR)

coast_world: coast_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

coast_world_1: coast_world_1.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

border_world: border_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

plate_world: plate_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

state_usa: state_usa.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

coast_japan: coast_japan.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

pref_japan: pref_japan.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

$(CVMAPD): $(CVMAPD).c
	$(CC) $(CFLAGS)  -o $(CVMAPD) $(CVMAPD).c -lm $(LIBF2C)

coast_world_1.asc: coast_world.asc $(RMAPD1)
	@echo "Creating sub-map data $@"
	@$(RM) $@
	@echo "'coast_world.asc' 'coast_world_1.asc'" | $(RMAPD1)

$(RMAPD1): $(RMAPD1).c
	$(CC) $(CFLAGS)  -o $(RMAPD1) $(RMAPD1).c -lm $(LIBF2C)

install: $(MAPDATAI) $(MAPDATAIR)

$(DBASEDIR)/coast_world: coast_world
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/border_world: border_world
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/plate_world: plate_world
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/state_usa: state_usa
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/coast_japan: coast_japan
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/pref_japan: pref_japan
	@echo "Installing map file $?"
	@$(CP) $? $@

$(DBASEDIR)/coast_world_1: coast_world_1
	@echo "Installing map file $?"
	@$(CP) $? $@

pack: mapdata.pack

mapdata.pack: $(CVMAPD) $(RMAPD1) $(MAPDATAF)
	@$(CAT) $(CVMAPD) $(RMAPD1) $(MAPDATAF) > mapdata.pack
	@echo "packed file mapdata.pack is created."

clean:
	$(RM) *.o *~ $(CVMAPD) $(RMAPD1) core mapdata.pack \
	$(MAPDATAB) $(MAPDATABR) $(MAPDATAFR)
