=== src/env2/dclclr/Makefile ===
#
#       Makefile for dclclr
#

include ../../../Mkinclude


all: dclclr

dclclr: dclclr.c
	$(LBINDIR)/$(DCLCC)  -o dclclr dclclr.c

install: $(BINDIR)/dclclr

$(BINDIR)/dclclr: dclclr
	@echo "Installing executable program dclclr"
	@$(CP) dclclr $(BINDIR)/dclclr

pack: dclclr.all

dclclr.all: dclclr.c
	@$(CP) dclclr.c dclclr.all
	@echo "packed file dclclr.all is created."

clean:
	$(RM) *.o *~ dclclr core dclclr.all
