=== src/env2/dcldate/Makefile ===
#
#       Makefile for dcldate
#

include ../../../Mkinclude


all: dcldate

dcldate: dcldate.c
	$(LBINDIR)/$(DCLCC)  -o dcldate dcldate.c

install: $(BINDIR)/dcldate

$(BINDIR)/dcldate: dcldate
	@echo "Installing executable program dcldate"
	@$(CP) dcldate $(BINDIR)/dcldate

pack: dcldate.all

dcldate.all: dcldate.c
	@$(CP) dcldate.c dcldate.all
	@echo "packed file dcldate.all is created."

clean:
	$(RM) *.o *~ dcldate core dcldate.all
