=== src/env2/dcldbs/Makefile ===
#
#       Makefile for dcldbs
#

include ../../../Mkinclude


all: dcldbs

dcldbs: dcldbs.c
	$(LBINDIR)/$(DCLCC)  -o dcldbs dcldbs.c

install: $(BINDIR)/dcldbs

$(BINDIR)/dcldbs: dcldbs
	@echo "Installing executable program dcldbs"
	@$(CP) dcldbs $(BINDIR)/dcldbs

pack: dcldbs.all

dcldbs.all: dcldbs.c
	@$(CP) dcldbs.c dcldbs.all
	@echo "packed file dcldbs.all is created."

clean:
	$(RM) *.o *~ dcldbs core dcldbs.all
