=== src/env2/dclfont/Makefile ===
#
#       Makefile for dclfont
#

include ../../../Mkinclude


all: dclfont

dclfont: dclfont.c
	$(LBINDIR)/$(DCLCC)  -o dclfont dclfont.c

install: $(BINDIR)/dclfont

$(BINDIR)/dclfont: dclfont
	@echo "Installing executable program dclfont"
	@$(CP) dclfont $(BINDIR)/dclfont

pack: dclfont.all

dclfont.all: dclfont.c
	@$(CP) dclfont.c dclfont.all
	@echo "packed file dclfont.all is created."

clean:
	$(RM) *.o *~ dclfont core dclfont.all
