=== src/env2/dclpara/Makefile ===
#
#       Makefile for dclpara
#

include ../../../Mkinclude


all: dclpara

dclpara: dclpara.c
	$(LBINDIR)/$(DCLCC)  -o dclpara dclpara.c

install: $(BINDIR)/dclpara

$(BINDIR)/dclpara: dclpara
	@echo "Installing executable program dclpara"
	@$(CP) dclpara $(BINDIR)/dclpara

pack: dclpara.all

dclpara.all: dclpara.c
	@$(CP) dclpara.c dclpara.all
	@echo "packed file dclpara.all is created."

clean:
	$(RM) *.o *~ dclpara core dclpara.all
