=== src/env1/cl2tnmap/Makefile ===
#
#       Makefile for cl2tnmap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude


all: $(LDBASEDIR)/cl2tnmap

$(LDBASEDIR)/cl2tnmap: cl2tnmap
	@echo "Installing color-tone conversion table cl2tnmap into local dcldbase directory"
	@$(CP) cl2tnmap $(LDBASEDIR)/cl2tnmap

clean:
	$(RM) *.o *~
