=== src/math2/odelib/Makefile ===
#
#       Makefile for odelib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= odelib
LIBFSRCS	= odrk1.f  odrk2.f  odrk4.f  odrk4r.f odrk4s.f odrkdu.f \
		  odrkdv.f odrkg.f  odrkgr.f odrkgs.f odpget.f odpqnp.f \
		  odiget.f odiqnp.f odlget.f odlqnp.f odrget.f odrqnp.f

LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= odrk1.o  odrk2.o  odrk4.o  odrk4r.o odrk4s.o odrkdu.o \
		  odrkdv.o odrkg.o  odrkgr.o odrkgs.o odpget.o odpqnp.o \
		  odiget.o odiqnp.o odlget.o odlqnp.o odrget.o odrqnp.o

LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
