=== demo/grph2/ulpack/Makefile ===
#
#       Makefile for ulpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ulpack
LIBSRCS		= ulpk01.f     ulpk02.f
LIBDEMO 	= ulpk01       ulpk02
LIBEXEC 	= ulpk01$(EXT) ulpk02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
