=== demo/misc1/bitlib/Makefile ===
#
#       Makefile for bitlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= bitlib
LIBSRCS		= bitl01.f
LIBDEMO 	= bitl01
LIBEXEC 	= bitl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
