=== src/grph2/uxpack/Makefile ===
#
#       Makefile for uxpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uxpack
LIBFSRCS	= uxptmz.f uxplba.f uxplbb.f uxsaxz.f uxsaxs.f uxsoff.f \
		  uxpaxs.f uxptmk.f uxplbl.f uxpnum.f uxpttl.f uxaxlb.f \
		  uxaxnm.f uxaxdv.f uxmttl.f uxsttl.f luxchk.f uxsfmt.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uxptmz.o uxplba.o uxplbb.o uxsaxz.o uxsaxs.o uxsoff.o \
		  uxpaxs.o uxptmk.o uxplbl.o uxpnum.o uxpttl.o uxaxlb.o \
		  uxaxnm.o uxaxdv.o uxmttl.o uxsttl.o luxchk.o uxsfmt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
