=== debian/tmp-util/usr/share/doc/dcl-util/dvlop/Makefile ===
#
#       Makefile for dvlop
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

SUBDIRS		= bswlib cielib old-pslib pslib
DIRSINST	= pslib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

install:
	@for i in $(DIRSINST) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) install ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.all: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done
