=== debian/tmp-util/usr/share/doc/dcl-util/demo/math2/Makefile ===
#
#       Makefile for math2
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= fftlib intrlib rnmlib vstlib


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done
