=== debian/tmp-util/usr/share/doc/dcl-util/demo/grph2/umpack/Makefile ===
#
#       Makefile for umpack (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBSRCS		= test01.f test02.f test03.f test04.f test05.f test06.f \
		  test07.f test08.f umpk01.f umpk02.f umpk03.f umpk04.f \
		  umpk05.f
LIBDEMO		= test01   test02   test03   test04   test05   test06   \
		  test07   test08   umpk01   umpk02   umpk03   umpk04   \
		  umpk05  


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ *.ps core *.trace
