=== debian/tmp-util/usr/share/doc/dcl-util/demo/grph2/uupack/Makefile ===
#
#       Makefile for uupack (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uupack
LIBSRCS		= uupk01.f uupk02.f uupk03.f uupk04.f uupk05.f \
		  uupk06.f uupk07.f
LIBDEMO		= uupk01   uupk02   uupk03   uupk04   uupk05   \
		  uupk06   uupk07  


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ *.ps core *.trace
