=== debian/tmp-util/usr/share/doc/dcl-util/demo/math1/ifalib/Makefile ===
#
#       Makefile for ifalib (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ifalib
LIBSRCS		= ifal01.f
LIBDEMO 	= ifal01


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ core *.trace
