=== debian/tmp-util/usr/share/doc/dcl-util/demo/misc1/chklib/Makefile ===
#
#       Makefile for chklib (demo)
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chklib
LIBSRCS		= chkl01.f
LIBDEMO 	= chkl01


all: $(LIBDEMO)

clean:
	$(RM) $(LIBDEMO) *.o *~ core *.trace
