## dcl 5.3-2

=== demo/rakuraku/quick/Makefile ===
#
#       Makefile for quick (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= quick
LIBSRCS		= quick1.f     quick2.f     quick3.f     quick4.f     \
		  quick5.f
LIBDEMO		= quick1       quick2       quick3       quick4       \
		  quick5
LIBEXEC		= quick1$(EXT) quick2$(EXT) quick3$(EXT) quick4$(EXT) \
		  quick5$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
