=== src/grph1/slpack/Makefile ===
#
#       Makefile for slpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBFSRCS	= slinit.f sldiv.f  slmgn.f  slrat.f  slqrct.f slpage.f \
		  slpcnr.f slsttl.f sltlcv.f slpvpr.f slpwwr.f slpwvr.f \
		  slpvpc.f slpwwc.f slpwvc.f slzttl.f sldivz.f slmgnz.f \
		  slratz.f slqsiz.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= slinit.o sldiv.o  slmgn.o  slrat.o  slqrct.o slpage.o \
		  slpcnr.o slsttl.o sltlcv.o slpvpr.o slpwwr.o slpwvr.o \
		  slpvpc.o slpwwc.o slpwvc.o slzttl.o sldivz.o slmgnz.o \
		  slratz.o slqsiz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
