=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
 
 ### Fujitsu Fortran & C compiler #######################################
 #
-#EXT=ffc4
-#FC=frt
-#CC=fcc
+EXT=ffc4
+FC=frt
+CC=fcc
 
 ### Intel Fortran compiler##############################################
 ### for ver.6, ver.7, and ver. 7.1
@@ -33,9 +33,9 @@
 
 ### GNU Fortran 77 compiler#############################################
 #
-EXT=g77
-FC=g77
-CC=gcc
+#EXT=g77
+#FC=g77
+#CC=gcc
 
 ### Package and prefix name ############################################
 #
